Skip to main content
GET
/
domains
/
{hostname}
Get Org by Domain Hostname
curl --request GET \
  --url https://api.useinvent.com/domains/{hostname}
{
  "id": "<string>",
  "name": "<string>",
  "verified": true,
  "logo_url": "<string>",
  "plan": "free",
  "config": {
    "email": "jsmith@example.com",
    "address": "<string>",
    "terms_url": "<string>",
    "privacy_url": "<string>"
  },
  "features": {
    "enterprise": true,
    "allow_overdraft": true,
    "workflows": true,
    "broadcasts": true,
    "enable_japifon": true,
    "slack_access": true
  },
  "parent_org_id": "<string>"
}

Path Parameters

hostname
string
required

The domain hostname (e.g., example.com)

Response

200 - application/json

Public information about an org (organization)

id
string
required

Unique identifier for the org

name
string
required

Name of the org

verified
boolean
required

Verification status of the org

logo_url
string | null
required

URL of the organization logo

plan
enum<string>

Type of subscription plan

Available options:
free,
business
config
object

Organization configuration settings

features
object

Org gate-keeping features configuration

parent_org_id
string

ID of the parent organization if this is a sub-org